<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="../layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.atna.TestInstanceDetail']}</h2>
        <h:form>
            <!-- viewPanel must be included in a form in order to display commandLinks -->

            <ui:include src="/testcase/viewPanel.xhtml">
                <ui:param name="testCase" value="#{testInstanceManager.testInstance.testCase}"/>
                <ui:param name="manager" value="#{testInstanceManager}"/>
                <ui:param name="isOpen" value="#{false}"/>
            </ui:include>


            <ui:decorate template="/layout/panels/_panel.xhtml">
                <ui:include src="/testinstance/viewPanel.xhtml">
                    <ui:param name="testInstance" value="#{testInstanceManager.testInstance}"/>
                    <ui:param name="browserBean" value="#{testInstanceManager}"/>
                </ui:include>
            </ui:decorate>

            <p>
                <h:commandButton value="#{messages['net.ihe.gazelle.atna.BackToTest']}" styleClass="gzl-btn"
                                 action="#{testInstanceManager.backToTest()}" immediate="true" execute="@this"/>
            </p>
        </h:form>
    </ui:define>
</ui:composition>
